{% extends 'base.html.twig' %}

{% block title %}Mon compte{% endblock %}

{% block body %}
<div class="container bg-white shadow py-2 my-5">
    <!-- Affichage des flashMessages s'ils en existent. On doit utiliser une boucle -->
    {% for type, messages in app.flashes(['success', 'danger']) %}
    {% for message in messages %}
    <!-- le type permet de mettre une couleur qui est en lien avec le message symfony. Tout cela est généré dynamiquement par symfony -->
    <div class="alert alert-{{ type }}">{{ message }}</div>
    {% endfor %}
    {% endfor %}
    {{ form_start(form) }}
    <div class="col-2">
        {% if imgAvatar is defined and imgAvatar is not null %}
            <img src="{{ asset('upload/avatar/' ~ imgAvatar) }}" alt="" class="img-fluid">
        {% endif %}
    </div>
    <div class="form-group">
        {{ form_label(form.avatar.imageFile, 'Avatar') }}
        {{ form_widget(form.avatar.imageFile, {'attr': {'class': 'form-control'} })}}
        <!-- Permet de faire apparaître un des messages d'erreur annontés dans avatar.php, imageFile -->
        {% if errors is defined and errors is not null %}
        {% for error in errors %}
            <div class="alert alert-danger my-2">
                {{ error.message }}
            </div>
        {% endfor %}
        {% endif %}
    </div>
    <div class="form-group">
        {{ form_label(form.nom) }}
        {{ form_widget(form.nom, {'attr': {'class': 'form-control', 'placeholder': 'Votre nom'} }) }}
    </div>
    <div class="form-group">
        {{ form_label(form.prenom, 'Prénom') }}
        {{ form_widget(form.prenom, {'attr': {'class': 'form-control', 'placeholder': 'Votre prénom'} }) }}
    </div>
    <div class="form-group">
        {{ form_label(form.email) }}
        {{ form_widget(form.email, {'attr': {'class': 'form-control', 'placeholder': 'Votre email'} }) }}
    </div>
    <div class="form-group">
        <label for="newPassword">Mot de passe</label>
        <input type="password" name="newPassword" id="newPassword" placeholder="Votre nouveau password" class="form-control">
    </div>
    <div class="form-group">
        {{ form_label(form.adresse) }}
        {{ form_widget(form.adresse, {'attr': {'class': 'form-control', 'placeholder': 'Votre adresse (falcutatif)'} }) }}
    </div>
    <div class="form-group">
        {{ form_label(form.ville) }}
        {{ form_widget(form.ville, {'attr': {'class': 'form-control', 'placeholder': 'Votre ville'} }) }}
    </div>
    <div class="form-group">
        {{ form_label(form.cp, 'Code postal') }}
        {{ form_widget(form.cp, {'attr': {'class': 'form-control', 'placeholder': 'Votre code postal'} }) }}
    </div>
    <div class="text-right">
        <button type="submit" class="btn btn-deal text-light mt-3">Modifier</button>
    </div>
    <!-- Je fais un input caché pour garder la valeur de mon avatar si je ne le modifie pas dans le formulaire -->
    <input type="hidden" name="oldAvatar" value="{{ imgAvatar }}">
    {{ form_row(form._token) }}
    {{ form_end(form, { render_rest: false }) }}
</div>
{% endblock %}

